Subject: Re: [PATCH v6] Add option Info-url-alist

From: Eli Zaretskii <[email-masked]>
Date: Sat, 20 Jan 2024 09:23:20 +0200

> From: Mekeor Melire <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>
> Date: Sat, 20 Jan 2024 00:50:22 +0000
> 
> > I was going to install this, but it causes info-tests in the test
> > suite to fail:
> 
> > If we want the result to include the "html" extension (which might not
> > be correct, since perhaps we could have Minibuffer.htm?), then please
> > update the test.  Otherwise, it sounds like the code needs some
> > adjustment to behave as before?
> 
> I vote for keeping the ".html" suffix because I can imagine that Texinfo
> creates only files with that suffix and it's depends on the web-server
> and its configuration if the file is also served when the suffix is
> missed in the URL.

What about the case where the HTML docs are produced with one file per
node? doesn't Texinfo create in that case directories that are named
like the manual, but without the .html extension?